summaryrefslogtreecommitdiff
path: root/easy-rsa/1.0/sign-req
diff options
context:
space:
mode:
Diffstat (limited to 'easy-rsa/1.0/sign-req')
-rwxr-xr-xeasy-rsa/1.0/sign-req18
1 files changed, 18 insertions, 0 deletions
diff --git a/easy-rsa/1.0/sign-req b/easy-rsa/1.0/sign-req
new file mode 100755
index 0000000..59edc42
--- /dev/null
+++ b/easy-rsa/1.0/sign-req
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# Sign a certificate signing request (a .csr file)
+# with a local root certificate and key.
+#
+
+if test $# -ne 1; then
+ echo "usage: sign-req <name>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl ca -days 3650 -out $1.crt -in $1.csr -config $KEY_CONFIG
+else
+ echo you must define KEY_DIR
+fi